| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_Schedule Struct Reference
Overview

Static Schedule for a RACH Channel. More...

## Data Fields
u32 | PatternPeriod
                [1-256] Duration, in Frames, of the repeating
pattern of enables. More...
u32 | FrameID
          [0-255] First frame within the pattern period which
is enabled for a RACH capture. More...
u32 | SubframeID
             [0-9] Subframe number which denotes the subframe
at which a RACH capture should begin. More...
u32 | SlotId
         [0-7] Slot number whcih denotes the slot at which
a RACH Capture should begin. More...
u32 | Duration
           [1-2^12] Specifies the duration of a single RACH
capture, in slots More...
u32 | Repeats
          [1-256] Specifies the number of consecutive captures
to execute. More...

## Detailed Description

Static Schedule for a RACH Channel.

## Field Documentation

u32 XDfePrach_Schedule::Duration

           [1-2^12] Specifies the duration of a single RACH

capture, in slots

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_Schedule::FrameID

          [0-255] First frame within the pattern period which

is enabled for a RACH capture.

Cannot exceed PatternPeriod

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_Schedule::PatternPeriod

                [1-256] Duration, in Frames, of the repeating

pattern of enables.

Internal frame count runs from 0 to PatternPeriod-1

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_Schedule::Repeats

          [1-256] Specifies the number of consecutive captures

to execute.

New capture will begin on the sl`ot immediately after "Duration" has ended

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_Schedule::SlotId

         [0-7] Slot number whcih denotes the slot at which

a RACH Capture should begin.

Only valid when FrameID==frame count and only valid when SubframeID==sub frame count:

- CC SCS restricts the range of slots available:
- CC_SCS == 15KHz => slotID=={0}
- CC_SCS == 30KHz => slotID=={0,1}
- CC_SCS == 60KHz => slotID=={0,1,2,3}
- CC_SCS == 120KHz => slotID=={0,1,2,3,4,5,6,7}
- CC_SCS == 240KHz => slotID=={0,1,2,3,4,5,6,7,8,9,10, 11,12,13,14,15} (unused)

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_Schedule::SubframeID

             [0-9] Subframe number which denotes the subframe

at which a RACH capture should begin.

Only valid when FrameID==frame count

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().